#
# spec file for package xmobar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           xmobar
Version:        0.26
Release:        4.7
Summary:        A Minimalistic Text Based Status Bar
License:        BSD-3-Clause
Group:          System/GUI/Other
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dbus-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hinotify-devel
BuildRequires:  ghc-iwlib-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  libiw-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Xmobar is a minimalistic text based status bar.

Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.

%prep
%setup -q

%build
%define cabal_configure_options -fwith_dbus -fwith_inotify -fwith_iwlib -fwith_mpris -fwith_thread -fwith_utf8 -fwith_xft -fwith_xpm
%ghc_bin_build

%install
%ghc_bin_install

%check
%cabal_test

%files
%license license
%doc changelog.md readme.md
%{_bindir}/%{name}

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update xmobar to version 0.26.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed May 31 2017 psimons@suse.com
- Update to version 0.24.5.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.24.4 with cabal2obs.
* Fri Sep 16 2016 psimons@suse.com
- Update to version 0.24.3 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.24.2 revision 0 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 0.24.1 revision 0 with cabal2obs.
* Thu Jul 28 2016 psimons@suse.com
- Update to version 0.24 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.23.1 revision 0 with cabal2obs.
* Fri Apr 24 2015 mimi.vx@gmail.com
- update to 0.23.1
  * Vertical alignment for icons, issue #216
  * Improvements to vertical text alignment, with many thanks to Jan Palus (see ongoing discussion in issue #221).
  * Better error handling in Volume monitor, issue #215
  * Compilation with ghc 7.8 and 7.10 (thanks to Edward Tjörnhammar, see issue #225).
* Sun Mar  8 2015 mimi.vx@gmail.com
- update to 0.23
  + Xmobar can now use a (semi)transparent background: set it with the new configuration option alpha (thanks to Edward Z. Yang, see issue #114).
  + Multiple fonts available by means of the new configuration parameter additionalFonts and the template markers <fn=1>...</fn>, by Markus Scherer.
  + New variables in Mem monitor for available memory as reported by Linux 3.14 and newer, by Samuli Thomasson.
  + New configuration parameters textOffset and iconOffset (see discussion in issue #171 and issue #201).
  + New template variable flags in MPD monitor, by Duncan Burke.
  + We honour the -S (show suffix) monitor flag in CpuFreq.
  + Better Weather parsing of wind direction, by Dino Morelli (see pull #212).
* Tue Feb 17 2015 mimi.vx@gmail.com
- enable inotify support for Mbox and mail plugin
- enable Wirelees plugin
* Mon Feb 16 2015 mimi.vx@gmail.com
- update to 0.22.1
- remove _service file
- enable xft,dbus,mpris support
  + Fix compilation in systems that don't need mtl newer than the one shipped with GHC.
  + New MarqueePipeReader plugin by Reto Hablützel.
  + Network monitor has now adaptive units (-S is used now to switch them on), by Axel Angel.
  + Weather now offers dewPointC and dewPointF instead of dewPoint, and the new windCardinal, windAzimuth, windMph and windKnots variables, by Tony Morris.
  + Strings in the configuration file can now span multiple lines using Haskell-style multiline script, thanks to dunric
  + Icons can now be also xpm files (if xmobar is compiled with with_xpm), thanks to Alexander Shabalin.
  + New borderWidth option to set xmobar's boder width, thanks to Travis Staton.
  + Support for multiple Xft fonts, thanks to Phil Xiaojun Hu and Cedric staub (see pull request #196).
  + Icon patterns for several monitors, that allow you to specify a collection of icons to use for successive integer variable values, thanks to Alexander Shabalin (see pull request #192 and the documentation for details).
  + Upgrade to libmpd 0.9.
  + Much more efficient implementation of the Locks plugin, thanks to Anton Vorontsov (see pull request #195).
  + Not colorizing total disk size in DiskU (issue #189).
  + Avoiding zombies on click actions, thanks to Phil Xiaojun Hu (issue #181).
  + Vertical bar indicators using unicode available for most monitors, by Eric Mrak.
  + CoreTemp: support for linux 3.15, by Tomáš Janoušek.
  + New CatInt monitor, displaying integer values read from a file, by Nathaniel Wesley Filardo.
  + New <raw> tag for safer input parsing, also by Nathaniel.
  + New UnsafeXMonadLog monitor (by Eric Mrak) and their xproperty counterparts, UnsafeXPropertyLog and UnsafeNamedXPropertyLog.
  + Network now reports status for ppp connections (see issue #89).
  + Fix for very long running Cpu monitors, by Robert J Macomber.
* Wed Jul  2 2014 jmatejka@suse.cz
- Adding xmobar
